Bug 832715 - SELinux is preventing plugin-containe from 'name_connect' accesses on the tcp_socket .
SELinux is preventing plugin-containe from 'name_connect' accesses on the tcp...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
17
i686 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:17d6748807fa89efc084e09a63c...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-16 14:40 EDT by Andrew
Modified: 2012-07-19 05:17 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-19 20:29:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrew 2012-06-16 14:40:09 EDT
libreport version: 2.0.10
executable:     /usr/bin/python2.7
hashmarkername: setroubleshoot
kernel:         3.4.0-1.fc17.i686
time:           Sat 16 Jun 2012 02:39:30 PM EDT

description:
:SELinux is preventing plugin-containe from 'name_connect' accesses on the tcp_socket .
:
:*****  Plugin catchall (100. confidence) suggests  ***************************
:
:If you believe that plugin-containe should be allowed name_connect access on the  tcp_socket by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:Do
:allow this access for now by executing:
:# grep plugin-containe /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c
:                              0.c1023
:Target Context                system_u:object_r:monopd_port_t:s0
:Target Objects                 [ tcp_socket ]
:Source                        plugin-containe
:Source Path                   plugin-containe
:Port                          1234
:Host                          (removed)
:Source RPM Packages           
:Target RPM Packages           
:Policy RPM                    selinux-policy-3.10.0-128.fc17.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Enforcing
:Host Name                     (removed)
:Platform                      Linux (removed) 3.4.0-1.fc17.i686 #1 SMP
:                              Sun Jun 3 07:16:04 UTC 2012 i686 i686
:Alert Count                   136
:First Seen                    Sat 16 Jun 2012 02:35:14 PM EDT
:Last Seen                     Sat 16 Jun 2012 02:39:11 PM EDT
:Local ID                      0fbcc86c-84a2-40c9-8b6b-140d69c6ed1f
:
:Raw Audit Messages
:type=AVC msg=audit(1339871951.118:237): avc:  denied  { name_connect } for  pid=2333 comm="plugin-containe" dest=1234 scontext=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 tcontext=system_u:object_r:monopd_port_t:s0 tclass=tcp_socket
:
:
:Hash: plugin-containe,mozilla_plugin_t,monopd_port_t,tcp_socket,name_connect
:
:audit2allowunable to open /sys/fs/selinux/policy:  Permission denied
:
:
:audit2allow -Runable to open /sys/fs/selinux/policy:  Permission denied
:
:
Comment 1 Andrew 2012-06-16 14:47:37 EDT
Occurs when using FireFox 13 w/ flash-plugin-11.2.202.236-release (32-bit) when logging into the flash based website http://www.duelingnetwork.com
Comment 2 Daniel Walsh 2012-06-18 15:58:40 EDT
This is the monopoly game port?


Fixed in selinux-policy-3.10.0-132.fc17
Comment 3 Fedora Update System 2012-06-19 03:59:17 EDT
selinux-policy-3.10.0-132.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/selinux-policy-3.10.0-132.fc17
Comment 4 Fedora Update System 2012-06-19 20:29:36 EDT
selinux-policy-3.10.0-132.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2012-07-19 05:17:40 EDT
selinux-policy-3.10.0-132.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.